
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商家审核信息
 *
 * @author YXF
 * @date 2021-02-01 17:10:35
 */
public class ShopAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺审核id
     */
    private Long shopAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过 2平台下线 3 平台下线待审核
     */
    private Integer status;

    /**
     * 店铺类型1自营店 2普通店
     */
    private Integer shopType;

    /**
     * 备注
     */
    private String remarks;

    public Integer getShopType() {
        return shopType;
    }

    public void setShopType(Integer shopType) {
        this.shopType = shopType;
    }

    public Long getShopAuditingId() {
        return shopAuditingId;
    }

    public void setShopAuditingId(Long shopAuditingId) {
        this.shopAuditingId = shopAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "ShopAuditing{" +
                "shopAuditingId=" + shopAuditingId +
                ", userId=" + userId +
                ", shopId=" + shopId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", shopType=" + shopType +
                ", remarks='" + remarks + '\'' +
                '}';
    }
}
